package market.Slm.ContractManagement.vo;

import java.io.Serializable;
import java.util.Date;

import market.Slm.ContractManagement.mapper.SlmCustAlphaPhyMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
@Table(name="SLM_CUST_ALPHA_PHY", namespace=SlmCustAlphaPhyMapper.class)
public class SlmCustAlphaPhy extends BaseVO implements Serializable {
	/**
	 * 材质要求表
	 */
	private static final long serialVersionUID = -6993538948533510531L;
	@Id
	//材质编号
	private String phy_seq;
	public String  getPhy_seq() {
		return this.phy_seq;
	}
	public void setPhy_seq(String phy_seq) {
		this.phy_seq = phy_seq;
	}

	@Column
	//Alpha编号
	private String cust_alpha_no;
	public String  getCust_alpha_no() {
		return this.cust_alpha_no;
	}
	public void setCust_alpha_no(String cust_alpha_no) {
		this.cust_alpha_no = cust_alpha_no;
	}

	@Column
	//材质标准索引号
	private String pic;
	public String  getPic() {
		return this.pic;
	}
	public void setPic(String pic) {
		this.pic = pic;
	}

	@Column
	//序号
	private Integer index_seq;
	public Integer  getIndex_seq() {
		return this.index_seq;
	}
	public void setIndex_seq(Integer index_seq) {
		this.index_seq = index_seq;
	}

	@Column
	//材质检验项代码（大类）
	private String phy_code_l;
	public String  getPhy_code_l() {
		return this.phy_code_l;
	}
	public void setPhy_code_l(String phy_code_l) {
		this.phy_code_l = phy_code_l;
	}

	@Column
	//材质检验项名称（大类）
	private String phy_name_l;
	public String  getPhy_name_l() {
		return this.phy_name_l;
	}
	public void setPhy_name_l(String phy_name_l) {
		this.phy_name_l = phy_name_l;
	}

	@Column
	//材质检验项代码（中类）
	private String phy_code_m;
	public String  getPhy_code_m() {
		return this.phy_code_m;
	}
	public void setPhy_code_m(String phy_code_m) {
		this.phy_code_m = phy_code_m;
	}

	@Column
	//材质检验项名称（中类）
	private String phy_name_m;
	public String  getPhy_name_m() {
		return this.phy_name_m;
	}
	public void setPhy_name_m(String phy_name_m) {
		this.phy_name_m = phy_name_m;
	}

	@Column
	//材质检验项代码（小类）
	private String phy_code_s;
	public String  getPhy_code_s() {
		return this.phy_code_s;
	}
	public void setPhy_code_s(String phy_code_s) {
		this.phy_code_s = phy_code_s;
	}

	@Column
	//材质检验项名称（小类）
	private String phy_name_s;
	public String  getPhy_name_s() {
		return this.phy_name_s;
	}
	public void setPhy_name_s(String phy_name_s) {
		this.phy_name_s = phy_name_s;
	}

	@Column
	//试验方向代码
	private String item_code_d;
	public String  getItem_code_d() {
		return this.item_code_d;
	}
	public void setItem_code_d(String item_code_d) {
		this.item_code_d = item_code_d;
	}

	@Column
	//试验方向描述
	private String item_name_d;
	public String  getItem_name_d() {
		return this.item_name_d;
	}
	public void setItem_name_d(String item_name_d) {
		this.item_name_d = item_name_d;
	}

	@Column
	//试验温度代码
	private String item_code_t;
	public String  getItem_code_t() {
		return this.item_code_t;
	}
	public void setItem_code_t(String item_code_t) {
		this.item_code_t = item_code_t;
	}

	@Column
	//试验温度描述
	private String item_name_t;
	public String  getItem_name_t() {
		return this.item_name_t;
	}
	public void setItem_name_t(String item_name_t) {
		this.item_name_t = item_name_t;
	}

	@Column
	//试样尺寸代码
	private String item_code_s;
	public String  getItem_code_s() {
		return this.item_code_s;
	}
	public void setItem_code_s(String item_code_s) {
		this.item_code_s = item_code_s;
	}

	@Column
	//试样尺寸描述
	private String item_name_s;
	public String  getItem_name_s() {
		return this.item_name_s;
	}
	public void setItem_name_s(String item_name_s) {
		this.item_name_s = item_name_s;
	}

	@Column
	//分组索引号
	private String group_seq;
	public String  getGroup_seq() {
		return this.group_seq;
	}
	public void setGroup_seq(String group_seq) {
		this.group_seq = group_seq;
	}

	@Column
	//报出的结果条数
	private Double result_count;
	public Double  getResult_count() {
		return this.result_count;
	}
	public void setResult_count(Double result_count) {
		this.result_count = result_count;
	}

	@Column
	//是否检验1:是，0：否
	private String ischeck;
	public String  getIscheck() {
		return this.ischeck;
	}
	public void setIscheck(String ischeck) {
		this.ischeck = ischeck;
	}

	@Column
	//是否报出
	private String isquote;
	public String  getIsquote() {
		return this.isquote;
	}
	public void setIsquote(String isquote) {
		this.isquote = isquote;
	}

	@Column
	//是否判定
	private String isjudge;
	public String  getIsjudge() {
		return this.isjudge;
	}
	public void setIsjudge(String isjudge) {
		this.isjudge = isjudge;
	}

	@Column
	//是否是复合标准项
	private String phy_type;
	public String  getPhy_type() {
		return this.phy_type;
	}
	public void setPhy_type(String phy_type) {
		this.phy_type = phy_type;
	}
	
	@Column
	//复合标准项
	private String complex_type;
	public String getComplex_type() {
		return complex_type;
	}
	public void setComplex_type(String complex_type) {
		this.complex_type = complex_type;
	}

	@Column
	//复合标准公式
	private String phy_formula;
	public String  getPhy_formula() {
		return this.phy_formula;
	}
	public void setPhy_formula(String phy_formula) {
		this.phy_formula = phy_formula;
	}

	@Column
	//标准范围下限符号
	private String stdmin_sign;
	public String  getStdmin_sign() {
		return this.stdmin_sign;
	}
	public void setStdmin_sign(String stdmin_sign) {
		this.stdmin_sign = stdmin_sign;
	}

	@Column
	//标准范围下限
	private String stdmin;
	public String  getStdmin() {
		return this.stdmin;
	}
	public void setStdmin(String stdmin) {
		this.stdmin = stdmin;
	}

	@Column
	//标准范围上限符号
	private String stdmax_sign;
	public String  getStdmax_sign() {
		return this.stdmax_sign;
	}
	public void setStdmax_sign(String stdmax_sign) {
		this.stdmax_sign = stdmax_sign;
	}

	@Column
	//标准范围上限
	private String stdmax;
	public String  getStdmax() {
		return this.stdmax;
	}
	public void setStdmax(String stdmax) {
		this.stdmax = stdmax;
	}

	@Column
	//标准范围下限符号2
	private String stdmin_sign2;
	public String  getStdmin_sign2() {
		return this.stdmin_sign2;
	}
	public void setStdmin_sign2(String stdmin_sign2) {
		this.stdmin_sign2 = stdmin_sign2;
	}

	@Column
	//标准范围下限2
	private String stdmin2;
	public String  getStdmin2() {
		return this.stdmin2;
	}
	public void setStdmin2(String stdmin2) {
		this.stdmin2 = stdmin2;
	}

	@Column
	//标准范围上限符号2
	private String stdmax_sign2;
	public String  getStdmax_sign2() {
		return this.stdmax_sign2;
	}
	public void setStdmax_sign2(String stdmax_sign2) {
		this.stdmax_sign2 = stdmax_sign2;
	}

	@Column
	//标准范围上限2
	private String stdmax2;
	public String  getStdmax2() {
		return this.stdmax2;
	}
	public void setStdmax2(String stdmax2) {
		this.stdmax2 = stdmax2;
	}

	@Column
	//标准选择分类  取大小值
	private String std_choose;
	public String  getStd_choose() {
		return this.std_choose;
	}
	public void setStd_choose(String std_choose) {
		this.std_choose = std_choose;
	}

	@Column
	//标准备注
	private String stdmemo;
	public String  getStdmemo() {
		return this.stdmemo;
	}
	public void setStdmemo(String stdmemo) {
		this.stdmemo = stdmemo;
	}

	@Column
	//判定依据
	private String judge_basis;
	public String  getJudge_basis() {
		return this.judge_basis;
	}
	public void setJudge_basis(String judge_basis) {
		this.judge_basis = judge_basis;
	}

	@Column
	//交货状态
	private String deliverystate;
	public String  getDeliverystate() {
		return this.deliverystate;
	}
	public void setDeliverystate(String deliverystate) {
		this.deliverystate = deliverystate;
	}
	
	@Column
	//扣型代码
	private String model_code;
	public String  getModel_code() {
		return this.model_code;
	}
	public void setModel_code(String model_code) {
		this.model_code = model_code;
	}

	@Column
	//扣型描述
	private String model_desc;
	public String  getModel_desc() {
		return this.model_desc;
	}
	public void setModel_desc(String model_desc) {
		this.model_desc = model_desc;
	}

	@Column
	//限制规格代码
	private String size_code;
	public String  getSize_code() {
		return this.size_code;
	}
	public void setSize_code(String size_code) {
		this.size_code = size_code;
	}

	@Column
	//限制规格描述
	private String size_name;
	public String  getSize_name() {
		return this.size_name;
	}
	public void setSize_name(String size_name) {
		this.size_name = size_name;
	}

	@Column
	//限制规格下限符号
	private String size_min_sign;
	public String  getSize_min_sign() {
		return this.size_min_sign;
	}
	public void setSize_min_sign(String size_min_sign) {
		this.size_min_sign = size_min_sign;
	}

	@Column
	//限制规格下限
	private String size_min;
	public String  getSize_min() {
		return this.size_min;
	}
	public void setSize_min(String size_min) {
		this.size_min = size_min;
	}

	@Column
	//限制规格上限符号
	private String size_max_sign;
	public String  getSize_max_sign() {
		return this.size_max_sign;
	}
	public void setSize_max_sign(String size_max_sign) {
		this.size_max_sign = size_max_sign;
	}

	@Column
	//限制规格上限
	private String size_max;
	public String  getSize_max() {
		return this.size_max;
	}
	public void setSize_max(String size_max) {
		this.size_max = size_max;
	}

	@Column
	//限制规格代码
	private String size_code2;
	public String  getSize_code2() {
		return this.size_code2;
	}
	public void setSize_code2(String size_code2) {
		this.size_code2 = size_code2;
	}

	@Column
	//限制规格描述
	private String size_name2;
	public String  getSize_name2() {
		return this.size_name2;
	}
	public void setSize_name2(String size_name2) {
		this.size_name2 = size_name2;
	}

	@Column
	//限制规格下限符号
	private String size_min_sign2;
	public String  getSize_min_sign2() {
		return this.size_min_sign2;
	}
	public void setSize_min_sign2(String size_min_sign2) {
		this.size_min_sign2 = size_min_sign2;
	}

	@Column
	//限制规格下限
	private String size_min2;
	public String  getSize_min2() {
		return this.size_min2;
	}
	public void setSize_min2(String size_min2) {
		this.size_min2 = size_min2;
	}

	@Column
	//限制规格上限符号
	private String size_max_sign2;
	public String  getSize_max_sign2() {
		return this.size_max_sign2;
	}
	public void setSize_max_sign2(String size_max_sign2) {
		this.size_max_sign2 = size_max_sign2;
	}

	@Column
	//限制规格上限
	private String size_max2;
	public String  getSize_max2() {
		return this.size_max2;
	}
	public void setSize_max2(String size_max2) {
		this.size_max2 = size_max2;
	}

	@Column
	//接箍规格代码
	private String spec_jg;
	public String  getSpec_jg() {
		return this.spec_jg;
	}
	public void setSpec_jg(String spec_jg) {
		this.spec_jg = spec_jg;
	}

	@Column
	//接箍规格描述
	private String spec_jg_desc;
	public String  getSpec_jg_desc() {
		return this.spec_jg_desc;
	}
	public void setSpec_jg_desc(String spec_jg_desc) {
		this.spec_jg_desc = spec_jg_desc;
	}

	@Column
	//条件项
	private String addcondition;
	public String  getAddcondition() {
		return this.addcondition;
	}
	public void setAddcondition(String addcondition) {
		this.addcondition = addcondition;
	}

	@Column
	//附加标准项代码
	private String addstdcon_code;
	public String  getAddstdcon_code() {
		return this.addstdcon_code;
	}
	public void setAddstdcon_code(String addstdcon_code) {
		this.addstdcon_code = addstdcon_code;
	}

	@Column
	//附加标准下限符号
	private String addstd_min_sign;
	public String  getAddstd_min_sign() {
		return this.addstd_min_sign;
	}
	public void setAddstd_min_sign(String addstd_min_sign) {
		this.addstd_min_sign = addstd_min_sign;
	}

	@Column
	//附加标准下限值
	private String addstd_min;
	public String  getAddstd_min() {
		return this.addstd_min;
	}
	public void setAddstd_min(String addstd_min) {
		this.addstd_min = addstd_min;
	}

	@Column
	//附加标准上限符号
	private String addstd_max_sign;
	public String  getAddstd_max_sign() {
		return this.addstd_max_sign;
	}
	public void setAddstd_max_sign(String addstd_max_sign) {
		this.addstd_max_sign = addstd_max_sign;
	}

	@Column
	//附加标准上限值
	private String addstd_max;
	public String  getAddstd_max() {
		return this.addstd_max;
	}
	public void setAddstd_max(String addstd_max) {
		this.addstd_max = addstd_max;
	}

	@Column
	//百分比
	private Double addpercent;
	public Double  getAddpercent() {
		return this.addpercent;
	}
	public void setAddpercent(Double addpercent) {
		this.addpercent = addpercent;
	}

	@Column
	//备注
	private String memo;
	public String  getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	@Column
	//状态
	private String validflag;
	public String  getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	@Column
	//创建人编号
	private String create_no;
	public String  getCreate_no() {
		return this.create_no;
	}
	public void setCreate_no(String create_no) {
		this.create_no = create_no;
	}

	@Column
	//创建人姓名
	private String create_name;
	public String  getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//创建时间
	private Date create_time;
	public Date  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	@Column
	//修改人编号
	private String update_no;
	public String  getUpdate_no() {
		return this.update_no;
	}
	public void setUpdate_no(String update_no) {
		this.update_no = update_no;
	}

	@Column
	//修改人姓名
	private String update_name;
	public String  getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//修改时间
	private Date update_time;
	public Date  getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	@Column
	//删除人编号
	private String delete_no;
	public String  getDelete_no() {
		return this.delete_no;
	}
	public void setDelete_no(String delete_no) {
		this.delete_no = delete_no;
	}

	@Column
	//删除人姓名
	private String delete_name;
	public String  getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//删除时间
	private Date delete_time;
	public Date  getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}

	@Column
	//GUID
	private String guid;
	public String  getGuid() {
		return this.guid;
	}
	public void setGuid(String guid) {
		this.guid = guid;
	}

	/** 是否坯样热处理 0否，1是 */
	@Column("BILLET_SAMPLE")
	private String billetSample;
	
	@Column
	//标准类型代码
	private String std_type_code;
	
	@Column
	//标准类型名称
	private String std_type_name;

	/** 试样类型编码集合(多个试样类型用" ,”进行分隔) */
	@Column("SAMPLE_STYLE_CODE")
	private String sampleStyleCode;
	
	/** 试样类型名称集合(多个试样类型用" ,”进行分隔) */
	@Column("SAMPLE_STYLE_NAME")
	private String sampleStyleName;
	
	/** 修约规则代码(默认从COM_BASE_PHY获取，可人为进行调整) */
	@Column
	private String round_off_rules_code;
	
	/** 修约规则名称(默认从COM_BASE_PHY获取，可人为进行调整) */
	@Column
	private String round_off_rules_name;
	
	/** 修约位数(默认从COM_BASE_PHY获取，可人为进行调整) */
	@Column
	private Integer round_off_digits;
	
	@Column
	//交货状态
	private String delivery_state_code;
	
	@Column
	private String delivery_state_name;
	public String getBilletSample() {
		return billetSample;
	}
	public void setBilletSample(String billetSample) {
		this.billetSample = billetSample;
	}
	public String getSampleStyleCode() {
		return sampleStyleCode;
	}
	public void setSampleStyleCode(String sampleStyleCode) {
		this.sampleStyleCode = sampleStyleCode;
	}
	public String getSampleStyleName() {
		return sampleStyleName;
	}
	public void setSampleStyleName(String sampleStyleName) {
		this.sampleStyleName = sampleStyleName;
	}
	public String getStd_type_code() {
		return std_type_code;
	}
	public void setStd_type_code(String std_type_code) {
		this.std_type_code = std_type_code;
	}
	public String getStd_type_name() {
		return std_type_name;
	}
	public void setStd_type_name(String std_type_name) {
		this.std_type_name = std_type_name;
	}
	public String getDelivery_state_code() {
		return delivery_state_code;
	}
	public void setDelivery_state_code(String delivery_state_code) {
		this.delivery_state_code = delivery_state_code;
	}
	public String getDelivery_state_name() {
		return delivery_state_name;
	}
	public void setDelivery_state_name(String delivery_state_name) {
		this.delivery_state_name = delivery_state_name;
	}
	public String getRound_off_rules_code() {
		return round_off_rules_code;
	}
	public void setRound_off_rules_code(String round_off_rules_code) {
		this.round_off_rules_code = round_off_rules_code;
	}
	public String getRound_off_rules_name() {
		return round_off_rules_name;
	}
	public void setRound_off_rules_name(String round_off_rules_name) {
		this.round_off_rules_name = round_off_rules_name;
	}
	public Integer getRound_off_digits() {
		return round_off_digits;
	}
	public void setRound_off_digits(Integer round_off_digits) {
		this.round_off_digits = round_off_digits;
	}
	
}